Name:		appres
Version:	1.0.7
Release:	%mkrel 2
Summary:	List X application resource database
Group:		System/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
The appres program prints the resources seen by an application (or
sub-hierarchy of an application) with the specified class and instance
names. It can be used to determine which resources a particular
program will load.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license COPYING
%{_bindir}/appres
%{_mandir}/man1/appres.1*





%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.7-2.mga10
+ Revision: 2224592
- Mageia 10 Mass Rebuild

* Sun Jun 30 2024 daviddavid <daviddavid> 1.0.7-1.mga10
+ Revision: 2078044
- new version: 1.0.7

* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.0.6-1.mga9
+ Revision: 1854401
- 1.0.6
- update source URL

* Mon Mar 14 2022 umeabot <umeabot> 1.0.5-4.mga9
+ Revision: 1791117
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1508902
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1294467
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1.0.5-1.mga7
+ Revision: 1208927
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-5.mga6
+ Revision: 947038
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 741252
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 677869
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 525615
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.0.4-1.mga4
+ Revision: 433778
- new release

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 345959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 pterjan <pterjan> 1.0.3-1.mga1
+ Revision: 35124
- imported package appres


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 592583
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2010.1
+ Revision: 522000
- rebuilt for 2010.1

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 448646
- new release

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2010.0
+ Revision: 413036
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-5mdv2009.1
+ Revision: 349991
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2009.0
+ Revision: 220354
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 148467
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-2mdv2008.0
+ Revision: 82308
- rebuild for 2008
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 116380
- new upstream version: 1.0.1
- rebuild to fix cooker uploading
- Fixing some information on the specfile
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

